# CMake file
# Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2012
# Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2012
#
# See the file LICENSE.txt in the package base directory for details
#
# @file CMakeLists.cmake
#       CMake file for the modules/Common directory.
#
# @author Tobias Hilbrich
# @date 04.02.2011

#MPI-2 functions
SET (MUST_SUPPORTED_MPI2_FUNCS
    MPI_Comm_create_errhandler
    MPI_Comm_set_errhandler
    MPI_Comm_spawn
    CACHE INTERNAL "Mpi-2 specific functions"
)

FOREACH (func ${MUST_SUPPORTED_MPI2_FUNCS})
    STRING (TOLOWER ${func} testName)
    STRING (TOUPPER ${func} haveName)
    SET (testName "ft_${testName}.cpp")
    SET (haveName "HAVE_${haveName}")

    featureTestMpi ("${testName}" CXX ${haveName})
ENDFOREACH (func)

